For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETRetrieve a dependents management intent
      • GETRetrieve associated persons eligibility for a dependents management intent
      • POSTAdd dependents to a dependents management intent
      • DELRemove a dependent from a Dependents Management Intent
      • POSTConfirm dependent list
      • POSTCancel the dependents management intent
    • API Errors
Get access
LogoLogo
API ReferenceDependents Management Intents

Cancel the dependents management intent

POST
/dependents_management_intents/:dependents_management_intent_id/cancel
POST
/dependents_management_intents/:dependents_management_intent_id/cancel
$curl -X POST https://test.api.kota.io/dependents_management_intents/dmi_3b1333d87d9d4fd6ad83ba7f6b0e951a/cancel \
> -H "Authorization: Bearer <apiKey>"

Cancels the dependents_management_intent in case an employee decides not to proceed with changes to their dependents. Canceling is only allowed from action_required status. If the intent is already canceled, the operation succeeds without changes. After canceling, a new dependents management intent can be created from the parent intent.

Previous

Confirm dependent list

Next

List all enrolment intents

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

dependents_management_intent_idstringRequiredformat: "dmi_.+"

Errors

400
Bad Request Error
404
Not Found Error